Bug 50041 - vlc: Multiple issues (4.3)
vlc: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-4-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-22 10:36 CEST by Quality Assurance
Modified: 2019-08-22 15:38 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) Debian NVD


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-08-22 10:36:42 CEST
New Debian vlc 3.0.8-0+deb9u1 fixes:
This update addresses the following issues:
* An Integer Underflow in MP4_EIA608_Convert() in modules/demux/mp4/mp4.c in  VideoLAN VLC media player through 3.0.7.1 allows remote attackers to cause  a denial of service (heap-based buffer overflow and crash) or possibly have  unspecified other impact via a crafted .mp4 file. (CVE-2019-13602)
* lavc_CopyPicture in modules/codec/avcodec/video.c in VideoLAN VLC media  player through 3.0.7 has a heap-based buffer over-read because it does not  properly validate the width and height. (CVE-2019-13962)
* vlc (CVE-2019-14437)
* vlc (CVE-2019-14438)
* vlc (CVE-2019-14498)
* vlc (CVE-2019-14533)
* vlc (CVE-2019-14534)
* vlc (CVE-2019-14535)
* vlc (CVE-2019-14776)
* vlc (CVE-2019-14777)
* vlc (CVE-2019-14778)
* vlc (CVE-2019-14970)
Comment 1 Quality Assurance univentionstaff 2019-08-22 11:00:27 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-4-errata/source/vlc_3.0.7-0+deb9u1.dsc
+++ apt/ucs_4.3-0-errata4.3-4/source/vlc_3.0.8-0+deb9u1.dsc
@@ -1,3 +1,24 @@
+3.0.8-0+deb9u1 [Tue, 20 Aug 2019 20:58:05 +0200] Sebastian Ramacher <sramacher@debian.org>:
+
+  * New upstream release.
+    - Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
+    - Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
+    - Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437,
+      CVE-2019-14438)
+    - Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
+    - Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
+    - Fix a use after free in the ASF demuxer (CVE-2019-14533)
+    - Fix a couple of integer underflows in the MP4 demuxer (CVE-2019-13602)
+      (Closes: #932131)
+    - Fix a null dereference in the ASF demuxer (CVE-2019-14534)
+    - Fix a division by zero in the CAF demuxer (CVE-2019-14498)
+    - Fix a division by zero in the ASF demuxer (CVE-2019-14535)
+    - Fix a division by zero when playing DVDs. (Closes: #929491, #923017,
+      #932182)
+  * debian/patches:
+    - Revert modplug version bump. We use the libopenmpt compat layer anyway.
+    - Revert libebml version bump. libebml has been fixed separately.
+
 3.0.7-0+deb9u1 [Sun, 09 Jun 2019 22:00:27 +0200] Sebastian Ramacher <sramacher@debian.org>:
 
   * New upstream bug fix release. (Closes: #930276)

<http://10.200.17.11/4.3-4/#2040207209071336722>
Comment 2 Philipp Hahn univentionstaff 2019-08-22 11:44:10 CEST
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-4] c47d9f14f9 Bug #50041: vlc 3.0.8-0+deb9u1
 doc/errata/staging/vlc.yaml | 28 +++++++++++-----------------
 1 file changed, 11 insertions(+), 17 deletions(-)

[4.3-4] 1f57778179 Bug #50041: vlc 3.0.8-0+deb9u1
 doc/errata/staging/vlc.yaml | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-08-22 15:38:03 CEST
<http://errata.software-univention.de/ucs/4.3/565.html>